/*!\file KML_SubStyle.cpp
 * \brief: implementation of the kml_substyle abstract object
 */

/*Headers:*/
/*{{{*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include <stdio.h>
#include <string.h>
#include "../objects.h"
#include "../../../shared/shared.h"
#include "../../../io/io.h"
#include "../../../Container/Container.h"
#include "../../../include/include.h"
/*}}}*/

/*Constructors/destructor/copy*/
/*FUNCTION KML_SubStyle::KML_SubStyle(){{{*/
KML_SubStyle::KML_SubStyle(){

	;

}
/*}}}*/
/*FUNCTION KML_SubStyle::~KML_SubStyle(){{{*/
KML_SubStyle::~KML_SubStyle(){

	;

}
/*}}}*/

/*Other*/
/*FUNCTION KML_SubStyle::Echo {{{*/
void  KML_SubStyle::Echo(){

	KML_Object::Echo();

	return;
}
/*}}}*/

/*FUNCTION KML_SubStyle::DeepEcho {{{*/
void  KML_SubStyle::DeepEcho(){

	char  indent[81]="";

	KML_SubStyle::DeepEcho(indent);

	return;
}
/*}}}*/

/*FUNCTION KML_SubStyle::DeepEcho {{{*/
void  KML_SubStyle::DeepEcho(const char* indent){

	KML_Object::DeepEcho(indent);

	return;
}
/*}}}*/

/*FUNCTION KML_SubStyle::Write {{{*/
void  KML_SubStyle::Write(FILE* filout,const char* indent){

	KML_Object::Write(filout,indent);

	return;
}
/*}}}*/

/*FUNCTION KML_SubStyle::Read {{{*/
void  KML_SubStyle::Read(FILE* fid,char* kstr){

/*  process field within opening and closing tags  */

	if      (!strncmp(kstr,"</SubStyle",10))
		return;
	else if (!strncmp(kstr,"</",2))
	  {_error2_("KML_SubStyle::Read -- Unexpected closing tag " << kstr << ".\n");}
	else if (strncmp(kstr,"<",1))
	  {_error2_("KML_SubStyle::Read -- Unexpected field \"" << kstr << "\".\n");}

	else if (!strncmp(kstr,"<",1))
		KML_Object::Read(fid,kstr);

	return;
}
/*}}}*/

